//----------------------------------------------------------------------------//
//  FiveWin 1.5 - Tutorial
//  (c) A.Linares, F.Pulpn 1993-4
//
//  Contruir con BUILD Tutor04
//  To Build:    BUILD Tutor04
//----------------------------------------------------------------------------//

// Vamos a construir ahora un men de persiana y se lo vamos a asignar
// a nuestra ventana principal.

// Este ejemplo es la forma tpica de empezar a construir un programa
// con FiveWin en Windows

// We are going to build a PullDown menu and we are going to assign it
// to our main Window

// This example is the typical way of start building a FiveWin program

#include "FiveWin.ch"

static oWnd

//----------------------------------------------------------------------------//

function Main()

   DEFINE WINDOW oWnd FROM 1, 1 TO 22, 75 ;
      TITLE OemToAnsi( "Ejemplo de construccin del Men Principal" ) ;
      MENU  BuildMenu() ;
      COLOR "W+/RB"

   SET MESSAGE OF oWnd ;
      TO OemToAnsi( "FiveWin 1.5, (c) A.Linares & F.Pulpn, 1993-4" )

   ACTIVATE WINDOW oWnd

return nil

//----------------------------------------------------------------------------//

function BuildMenu()

   local oMenu

   MENU oMenu
      MENUITEM OemToAnsi( "&Informacin" )
      MENU
         MENUITEM "&Acerca de..." ;
            ACTION ( MsgInfo( OemToAnsi( "Mi primer programa" + Chr( 13 ) + ;
                            "Puedes poner varias lneas" ) ),;
                     oWnd:Say( 2, 2, "My first program..." ) )
         SEPARATOR
         MENUITEM "&Terminar..."  ;
            ACTION If( MsgYesNo( OemToAnsi( " Desea terminar ?" ) ),;
                       oWnd:End(),)
      ENDMENU

      MENUITEM "&Clientes"
      MENU
         MENUITEM "&Altas..."           ;
            ACTION ( MsgStop( "Nuevos Clientes" ),;
                     oWnd:Say( 5, 5, "New Clients...", "GR+/G" ) )

         MENUITEM "&Modificaciones..."  ACTION MsgInfo( "Modif. Clientes" )
         MENUITEM "&Bajas..."           ACTION MsgAlert( "Bajas Clientes" )
      ENDMENU

      MENUITEM "&Utilidades"
      MENU
         MENUITEM "&Calculadora..." ACTION WinExec( "Calc" )
         MENUITEM "C&alendario..."  ACTION WinExec( "Calendar" )
      ENDMENU
   ENDMENU

return oMenu

//----------------------------------------------------------------------------//
